searchData={"items":[{"type":"module","title":"OffBroadwayWebSocket.Client","doc":"Provides functions to establish and configure WebSocket connections\nusing the **gun** library, with customizable timeouts and connection options.","ref":"OffBroadwayWebSocket.Client.html"},{"type":"function","title":"OffBroadwayWebSocket.Client.connect/6","doc":"Establishes a WebSocket connection to the specified URL and path with optional **gun** options,\nand customizable timeouts.","ref":"OffBroadwayWebSocket.Client.html#connect/6"},{"type":"function","title":"Parameters - OffBroadwayWebSocket.Client.connect/6","doc":"- **url**: The base URL for the WebSocket connection (e.g., \"wss://example.com\").\n  - **path**: The WebSocket path to upgrade to (e.g., \"/ws\").\n  - **gun_opts**: A tuple **{http_opts, ws_opts}** containing optional configurations for HTTP\n    and WebSocket settings. Either **http_opts** or **ws_opts** may be **nil**.\n  - **await_timeout**: The timeout in milliseconds to wait for the connection to become ready.\n  - **connect_timeout**: The timeout in milliseconds for establishing the connection.","ref":"OffBroadwayWebSocket.Client.html#connect/6-parameters"},{"type":"function","title":"Returns - OffBroadwayWebSocket.Client.connect/6","doc":"- **{:ok, %{conn_pid: pid(), stream_ref: reference()}}** on a successful connection and upgrade.\n  - **{:error, reason}** if the connection or upgrade fails.","ref":"OffBroadwayWebSocket.Client.html#connect/6-returns"},{"type":"module","title":"OffBroadwayWebSocket.Producer","doc":"A GenStage producer that manages WebSocket connections using the **gun** library.\n\nThis module establishes a WebSocket connection, and manages message dispatching based on demand. It monitors the\nWebSocket connection with ping/pong messages and terminates connection when timeouts occur.","ref":"OffBroadwayWebSocket.Producer.html"},{"type":"function","title":"OffBroadwayWebSocket.Producer.dispatch_events/1","doc":"","ref":"OffBroadwayWebSocket.Producer.html#dispatch_events/1"},{"type":"function","title":"OffBroadwayWebSocket.Producer.start_link/1","doc":"","ref":"OffBroadwayWebSocket.Producer.html#start_link/1"},{"type":"module","title":"OffBroadwayWebSocket.State","doc":"Manages the state for WebSocket producer in an Off-Broadway setup.\nThis includes demand tracking, reconnection parameters, and message queuing.","ref":"OffBroadwayWebSocket.State.html"},{"type":"function","title":"OffBroadwayWebSocket.State.new/1","doc":"Creates a new **%State{}** struct with specified options.","ref":"OffBroadwayWebSocket.State.html#new/1"},{"type":"function","title":"Parameters - OffBroadwayWebSocket.State.new/1","doc":"- **opts**: A keyword list of options, including:\n    - **:broadway** - Broadway-related options, specifically demand settings.\n    - **:url** - The WebSocket URL.\n    - **:path** - The WebSocket path.\n    - **:ws_opts** - WebSocket options for **gun**.\n    - **:http_opts** - HTTP options for **gun**.\n    - **:ws_timeout** - Optional timeout for WebSocket operations.\n    - **:headers:** - Optional headers to use when upgrading to WebSocket.\n    - **:telemetry_id** - Optional ID to be used when emitting telemetry events. Defaults to :websocket_producer","ref":"OffBroadwayWebSocket.State.html#new/1-parameters"},{"type":"function","title":"Returns - OffBroadwayWebSocket.State.new/1","doc":"- A **%State{}** struct initialized with the provided options and default values.","ref":"OffBroadwayWebSocket.State.html#new/1-returns"},{"type":"type","title":"OffBroadwayWebSocket.State.t/0","doc":"","ref":"OffBroadwayWebSocket.State.html#t:t/0"}],"producer":{"name":"ex_doc","version":"0.37.2"},"proglang":"elixir","content_type":"text/markdown"}